Package org.eclipse.m2m.atl.profiler.ui.profilingdatatable

# Class ExportDialog

java.lang.Object
org.eclipse.swt.widgets.Dialog
org.eclipse.m2m.atl.profiler.ui.profilingdatatable.ExportDialog

public class ExportDialog extends org.eclipse.swt.widgets.Dialog
A dialog for profiling model export.

## Constructor Summary

Constructors
Constructor
Description
`ExportDialog(org.eclipse.swt.widgets.Shell parent)`
Creates the dialog.
`ExportDialog(org.eclipse.swt.widgets.Shell parent, int style)`
Creates the dialog.

## Method Summary

Modifier and Type
Method
Description
`Object`
`open()`
Opens the dialog.

### Methods inherited from class org.eclipse.swt.widgets.Dialog

`checkSubclass, getParent, getStyle, getText, setText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExportDialog

public ExportDialog(org.eclipse.swt.widgets.Shell parent, int style)
Creates the dialog.

Parameters:
  `parent` - the parent shell
  `style` - the dialog style

### ExportDialog

public ExportDialog(org.eclipse.swt.widgets.Shell parent)
Creates the dialog.

Parameters:
  `parent` - the parent shell

## Method Details

### open

public Object open()
Opens the dialog.

Returns:
  the result